package update;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.Socket;
import java.util.HashMap;

public class UpdateChecker {
	HashMap<String, String> serverData = new HashMap<>();
	
	public void requestServerData(){
		try {
			Socket socket = new Socket();
			socket.connect(new InetSocketAddress(InetAddress.getByName("cookiestudios.org"), 9999), 2000);
			DataInputStream in = new DataInputStream(socket.getInputStream());
			DataOutputStream out = new DataOutputStream(socket.getOutputStream());
			
			StringBuilder data = new StringBuilder();
			data.append(System.getProperty("os.name")).append(";");
			data.append(System.getProperty("os.version")).append(";");
			data.append(System.getProperty("os.arch")).append(";");
			data.append(System.getProperty("java.version"));
			
			out.writeUTF(data.toString());
			String[] response = in.readUTF().split(";");
			for(String str: response) {
				String[] keyValue = str.split("=");
				serverData.put(keyValue[0], keyValue[1]);
			}
			socket.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	
	public float getLatestVersion() {
		if(serverData.containsKey("VERSION")) {
			return Float.parseFloat(serverData.get("VERSION"));
		}
		return -1;
	}
}
