package run;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
import run.Start;

public class ServerThread
implements Runnable {
    int PORT;

    public ServerThread(int port) {
        this.PORT = port;
    }
    
    ServerSocket ses;
    Socket s;
    DataOutputStream out;
    DataInputStream in;
    
    public void run() {
        do {
            try {
                do {
                    ses = new ServerSocket(this.PORT);
                    s = ses.accept();
                    System.out.println("Connected with: " + s.getInetAddress());
                    out = new DataOutputStream(s.getOutputStream());
                    in = new DataInputStream(s.getInputStream());
                    System.out.println(in.readUTF());
                    out.writeUTF("VERSION="+Start.version);   
                    
                    out.close();
                    in.close();
                    s.close();
                    ses.close();
                } while (true);
            }
            catch (IOException io) {
                io.printStackTrace();
                try {
					out.close();
					in.close();
	                s.close();
	                ses.close();
				} catch (IOException e) {
					e.printStackTrace();
					System.out.println("Server panic");
				}          
            } 
        } while (true);
    }
}