package update;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.StandardCopyOption;

import manager.SettingManager;

public class UpdateFileHandler {

	File sq;
	File qlN;
	File fMark;
	
	public UpdateFileHandler(){
		sq = new File(SettingManager.getJarDirectory()+File.separator+"Squirrel.jar");
		qlN = new File(SettingManager.getJarDirectory()+File.separator+"QuickLaunch.jar");
		fMark = new File(SettingManager.getJarDirectory()+File.separator+"f.MARK");
	}
	public void launch(){
		
		try {
			Thread.sleep(2000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		if(sq.exists()){
			if(fMark.exists()){
				sq.delete();
				fMark.delete();
			}
			else{
				try {
					Files.copy(sq.toPath(), qlN.toPath(),StandardCopyOption.REPLACE_EXISTING);
					fMark.createNewFile();	
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
		}
	}
	
}
